Index: /trunk/gsdl/macros/base.dm
===================================================================
--- /trunk/gsdl/macros/base.dm	(revision 257)
+++ /trunk/gsdl/macros/base.dm	(revision 258)
@@ -16,8 +16,26 @@
 _imagecollection_ {}
 
-# this is the total width of the page - i.e. the width
-# of any title bars etc. that go all the way across
+
+#######################################################################
+# these width macros are read in by the server when calculating 
+# width of navigation bar etc. There should be one for each 
+# classification that this receptionist supports, one for the 
+# search button, and the _pagewidth_ macro which is the total width
+# of the page
+#######################################################################
+
 _pagewidth_ {537}
-
+_searchwidth_ {_widthtsrchx_}	
+_Titlewidth_ {_widthttitlx_}
+_Creatorwidth_ {_widthtauthx_}
+_Serieswidth_ {_widthtserx_}
+_Datewidth_ {_widthtdatex_}
+_Subjectwidth_ {_widthtsubjx_}
+_Organizationwidth_ {_widthtorgx_}
+_Howtowidth_ {_widththowx_}
+
+// all cgi args are set as _cgiargX_ macros - those I've put here 
+// are those that need to default to something
+_cgiargd_ {}
 
 #######################################################################
@@ -26,24 +44,11 @@
 #######################################################################
 
-#_gwcgi_ {http://nowhere.nzdl.org/cgi-bin/gw}
-#_httpprefix_ {http://nowhere.nzdl.org}
-
-_cookie_ {}
-_g_ {00}
-_collection_ {}
-_compressedoptions_ {}
-_querystring_ {}
-_urlsafequerystring_ {}
-_notdetached_ {0}
-_istitle_ {0}
-
-_httparrowprevious_ {}
-_httparrownext_ {}
-_toc_ {}
 _navigationbar_ {}
-
-
-#######################################################################
-# navigation bar
+_javaimagesnavbar_ {}
+_javaimagescontent_ {}
+_widthtspace_ {2}
+
+#######################################################################
+# navigation bar images
 #
 #######################################################################
@@ -57,5 +62,5 @@
 # image macros for all the classifications currently supported by
 # this receptionist. i.e. title, author, subject, series, date,
-# howto, and organization
+# howto, and organization (and search)
 
 _imagesearch_ {<a href="_httpquery_" 
@@ -67,85 +72,68 @@
 }
 _imagesearch_[style=htmlonly] {<img src="_httpicontspace_" alt="" width="_widthtsrchx_" height="_heighttsrchx_">}
-_searchwidth_ {_widthtsrchx_}
-
-
-_imagetitle_ {<a href="_httpbrowsetitles_"
+
+_imageTitle_ {<a href="_httpbrowseTitle_"
     onMouseover = "img\_on('titles')" 
     onMouseout = "img\_off('titles')"><img name="titles" 
         src="_httpiconttitlof_" width=_widthttitlx_ height=_heightttitlx_ 
-        border=0 alt="_textimagebrowsetitles_"></a>}
-_imagetitle_[version=text] {<a href="_httpbrowsetitles_">_textimagebrowsetitles_</a><br>
-}
-_titlewidth_ {_widthttitlx_}
-
-
-_imageauthor_ {<a href="_httpbrowseauthors_"
+        border=0 alt="_textimageTitle_"></a>}
+_imageTitle_[version=text] {<a href="_httpbrowseTitle_">_textimageTitle_</a><br>
+}
+
+_imageCreator_ {<a href="_httpbrowseCreator_"
     onMouseover = "img\_on('authors')" 
     onMouseout = "img\_off('authors')"><img name="authors" 
         src="_httpicontauthof_" width=_widthtauthx_ height=_heighttauthx_ 
-        border=0 alt="_textimagebrowseauthors_"></a>}
-_imageauthor_[version=text] {<a href="_httpbrowseauthors_">_textimagebrowseauthors_</a><br>
-}
-_authorwidth_ {_widthtauthx_}
-
-
-_imageseries_ {<a href="_httpbrowseseries_"
+        border=0 alt="_textimageCreator_"></a>}
+_imageCreator_[version=text] {<a href="_httpbrowseCreator_">_textimageCreator_</a><br>
+}
+
+_imageSeries_ {<a href="_httpbrowseSeries_"
     onMouseover = "img\_on('series')" 
     onMouseout = "img\_off('series')"><img name="series" 
         src="_httpicontserof_" width="_widthtserx_" height="_heighttserx_" 
-        border="0" alt="_textimagebrowseseries_"></a>}
-_imageseries_[version=text] {<a href="_httpbrowseseries_">_textimagebrowseseries_</a><br>
-}
-_serieswidth_ {_widthtserx_}
-
-
-_imagedate_ {<a href="_httpbrowsedates_"
+        border="0" alt="_textimageSeries_"></a>}
+_imageSeries_[version=text] {<a href="_httpbrowseSeries_">_textimageSeries_</a><br>
+}
+
+_imageDate_ {<a href="_httpbrowseDate_"
     onMouseover = "img\_on('dates')" 
     onMouseout = "img\_off('dates')"><img name="dates" 
         src="_httpicontdateof_" width="_widthtdatex_" height="_heighttdatex_" 
-        border="0" alt="_textimagebrowsedates_"></a>}
-_imagedate_[version=text] {<a href="_httpbrowsedates_">_textimagebrowsedates_</a><br>
-}
-_datewidth_ {_widthtdatex_}
-
-
-_imagesubject_ {<a href="_httpbrowsesubjects_"
+        border="0" alt="_textimageDate_"></a>}
+_imageDate_[version=text] {<a href="_httpbrowseDate_">_textimageDate_</a><br>
+}
+
+_imageSubject_ {<a href="_httpbrowseSubject_"
     onMouseover = "img\_on('subjects')" 
     onMouseout = "img\_off('subjects')"><img name="subjects" 
         src="_httpicontsubjof_" width="_widthtsubjx_" height="_heighttsubjx_" 
-        border="0" alt="_textimagebrowsesubjects_"></a>}
-_imagesubject_[version=text] {<a href="_httpbrowsesubjects_">_textimagebrowsesubjects_</a><br>
-}
-_subjectwidth_ {_widthtsubjx_}
-
-
-_imageorganization_ {<a href="_httpbrowseorg_"
+        border="0" alt="_textimageSubject_"></a>}
+_imageSubject_[version=text] {<a href="_httpbrowseSubject_">_textimageSubject_</a><br>
+}
+
+_imageOrganization_ {<a href="_httpbrowseOrganization_"
     onMouseover = "img\_on('org')" 
     onMouseout = "img\_off('org')"><img name="org" 
         src="_httpicontorgof_" width="_widthtorgx_" height="_heighttorgx_" 
-        border="0" alt="_textimagebrowseorg_"></a>}
-_imageorganization_[version=text] {<a href="_httpbrowseorg_">_textimagebrowseorg_</a><br>
-}
-_organizationwidth_ {_widthtorgx_}
-
-
-_imagehowto_ {<a href="_httpbrowsehow_"
+        border="0" alt="_textimageOrganization_"></a>}
+_imageOrganization_[version=text] {<a href="_httpbrowseOrganization_">_textimageOrganization_</a><br>
+}
+
+_imageHowto_ {<a href="_httpbrowseHowto_"
     onMouseover = "img\_on('how')" 
     onMouseout = "img\_off('how')"><img name="how" 
         src="_httpiconthowof_" width="_widththowx_" height="_heightthowx_" 
-        border="0" alt="_textimagebrowsehow_"></a>}
-_imagehowto_[version=text] {<a href="_httpbrowsehow_">_textimagebrowsehow_</a><br>
-}
-_howtowidth_ {_widththowx_}
-
-
-#######################################################################
-# scripts
+        border="0" alt="_textimageHowto_"></a>}
+_imageHowto_[version=text] {<a href="_httpbrowseHowto_">_textimageHowto_</a><br>
+}
+
+
+#######################################################################
+# java images/scripts
 #######################################################################
 
 # the _javalinks_ macros are the flashy image links at the top right of
-# the page. this macro should be overridden for those collections/pages
-# needing links different from the default (i.e. about, home, help, 
-# and preferences.
+# the page. 
 
 _javalinks_ {_imageabout__imagehome__imagehelp__imagepref_}
@@ -157,18 +145,15 @@
 }
 
+# the javaimages macros contain the javascript code required
+# by each flashy javascript image. _javaimagesheader_ contains those
+# images at the top right of the page, _javaimagesnavbar_ (set
+# from within the server) contains those images in the navigation bar,
+# and _javaimagescontent_ (also set in server) contains any other 
+# javascript images that occur in the page. 
 # the javaimages macros should contain _javaX_ macros for each javascript
 # image link within the page.
 
-# those java image links appearing at top right of page
 _javaimagesheader_ {_javaabout__javahome__javahelp__javapref_}
 _javaimagesheader_ [version=text] {}
-
-# those java image links appearing in navigation bar
-# this macro should be set when the navigation bar is set
-# up at runtime
-_javaimagesnavbar_ {}
-
-# any other java image links appearing in page
-_javaimagescontent_ {}
 
 _javaabout_ {
@@ -207,5 +192,5 @@
 }
 
-_javatitle_ {
+_javaTitle_ {
 	titles\_on = new Image(_widthttitlx_, _heightttitlx_);
 	titles\_on.src = "_httpiconttitlon_";
@@ -214,5 +199,5 @@
 }
 
-_javaauthor_ {
+_javaCreator_ {
 	authors\_on = new Image(_widthtauthx_, _heighttauthx_);
 	authors\_on.src = "_httpicontauthon_";
@@ -221,5 +206,5 @@
 }
 
-_javaseries_ {
+_javaSeries_ {
 	series\_on = new Image(_widthtserx_, _heighttserx_);          
 	series\_on.src = "_httpicontseron_";
@@ -228,5 +213,5 @@
 }
 
-_javadate_ {
+_javaDate_ {
 	dates\_on = new Image(_widthtdatex_, _heighttdatex_);          
 	dates\_on.src = "_httpicontdateon_";
@@ -235,5 +220,5 @@
 }
 
-_javasubject_ {
+_javaSubject_ {
 	subjects\_on = new Image(_widthtsubjx_, _heighttsubjx_);          
 	subjects\_on.src = "_httpicontsubjon_";
@@ -242,5 +227,5 @@
 }
 
-_javahowto_ {
+_javaHowto_ {
 	how\_on = new Image(_widththowx_, _heightthowx_);          
 	how\_on.src = "_httpiconthowon_";
@@ -249,5 +234,5 @@
 }
 
-_javaorganization_ {
+_javaOrganization_ {
 	org\_on = new Image(_widthtorgx_, _heighttorgx_);          
 	org\_on.src = "_httpicontorgon_";
@@ -291,4 +276,18 @@
 }
 
+_javahighlighting_ {
+	hl\_on = new Image(_widthehlx_, _heightehlx_);
+	hl\_on.src = "_httpiconehlon_";
+	hl\_off = new Image(_widthehlx_, _heightehlx_);
+	hl\_off.src = "_httpiconehlof_";
+}
+
+_javanohighlighting_ {
+	nhl\_on = new Image(_widthenhlx_, _heightenhlx_);
+	nhl\_on.src = "_httpiconenhlon_";
+	nhl\_off = new Image(_widthenhlx_, _heightenhlx_);
+	nhl\_off.src = "_httpiconenhlof_";
+}
+
 _javacontinue_ {
 	cont\_on = new Image(_widthcontx_, _heightcontx_);
@@ -311,5 +310,5 @@
 
 _linkotherversion_ {
-<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&v=1&g=_g_">
+<a href="_httpcurrentdocument_&v=1">
 _textgotext_
 </a>
@@ -317,5 +316,5 @@
 
 _linkotherversion_[version=text] {
-<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&v=0&g=_g_">
+<a href="_httpcurrentdocument_&v=0">
 _textgographics_
 </a>
@@ -323,5 +322,5 @@
 
 _linkotherlanguage_ {
-<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&l=mi&g=_g_">
+<a href="_httpcurrentdocument_&l=mi">
 _textgomaori_
 </a>
@@ -329,5 +328,5 @@
 
 _linkotherlanguage_[language=mi] {
-<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&l=e&g=_g_">
+<a href="_httpcurrentdocument_&l=e">
 _textgoenglish_
 </a>
@@ -345,5 +344,5 @@
 _httpcollection_{_httpprefix_/collect/_collection_}
 
-_httppagex_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=p&p=_1_}
+_httppagex_ {_gwcgi_?e=_compressedoptions_&a=p&p=_1_}
 _httppageabout_ {_httppagex_(about)}
 _httppagehome_ {_httppagex_(home)}
@@ -353,13 +352,7 @@
 _httpgreenstone_ {_httppagex_(gsdl)}
 
-
-_httpquery_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=q}
-_httpqueryresults_ {_httpquery_}
-_httpbrowse_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=b}
-_httptext_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=t}
-_httpbrowsetitles_ {_httpbrowse_&d=T.1}
-_httpbrowseauthors_ {_httpbrowse_&d=A.1}
-_httpbrowseseries_ {_httpbrowse_&d=C.1}
-_httpbrowsedates_ {_httpbrowse_&d=D.1}
+_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
+_httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}
+_httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}
 
 _httpiconchalk_ {_httpimg_/chalk.gif}
@@ -408,11 +401,11 @@
 _httpiconeallton_ {_httpimg_/eallton.gif}
 _httpiconeallton_ [language=mi] {_httpimg_/meallton.gif}
-_widthealltx_ {44}
-_widthealltx_ [language=mi] {40}
+_widthealltx_ {46}
+_widthealltx_ [language=mi] {42}
 _heightealltx_ {30}
 
 _httpiconeconcof_ {_httpimg_/econcof.gif}
 _httpiconeconcon_ {_httpimg_/econcon.gif}
-_widtheconcx_ {65}
+_widtheconcx_ {63}
 _heighteconcx_ {30}
 
@@ -421,11 +414,11 @@
 _httpiconedtchon_ {_httpimg_/edtchon.gif}
 _httpiconedtchon_ [language=mi] {_httpimg_/medtchon.gif}
-_widthedtchx_ {45}
-_widthedtchx_ [language=mi] {54}
+_widthedtchx_ {47}
+_widthedtchx_ [language=mi] {56}
 _heightedtchx_ {30}
 
 _httpiconeexpcof_ {_httpimg_/eexpcof.gif}
 _httpiconeexpcon_ {_httpimg_/eexpcon.gif}
-_widtheexpcx_ {62}
+_widtheexpcx_ {60}
 _heighteexpcx_ {30}
 
@@ -434,7 +427,17 @@
 _httpiconetsecon_ {_httpimg_/etsecon.gif}
 _httpiconetsecon_ [language=mi] {_httpimg_/metsecon.gif}
-_widthetsecx_ {61}
-_widthetsecx_ [language=mi] {51}
+_widthetsecx_ {63}
+_widthetsecx_ [language=mi] {53}
 _heightetsecx_ {30}
+
+_httpiconehlof_ {_httpimg_/ehlof.gif}
+_httpiconehlon_ {_httpimg_/ehlon.gif}
+_widthehlx_ {53}
+_heightehlx_ {30}
+
+_httpiconenhlof_ {_httpimg_/enhlof.gif}
+_httpiconenhlon_ {_httpimg_/enhlon.gif}
+_widthenhlx_ {57}
+_heightenhlx_ {30}
 
 _httpicongsdl_ {_httpimg_/gsdl.gif}
@@ -449,9 +452,4 @@
 _widthhhelp_ {200}
 _heighthhelp_ {57}
-
-_httpiconhsearch_ {_httpimg_/h\_search.gif}
-_httpiconhsearch_ [language=mi] {_httpimg_/mh\_srch.gif}
-_widthhsearch_ {200}
-_heighthsearch_ {57}
 
 _httpiconitext_ {_httpimg_/itext.gif}
@@ -551,9 +549,4 @@
 
 _httpicontspace_ {_httpimg_/tspace.gif}
-# _widthtspace_ is set from server
-_widthtspace_ {}
-#_widthtspace_ {138}
-#_widthtspace_ [language=mi] {85}
-#_widthtspace2_ {115}
 _heighttspace_ {17}
 
@@ -605,27 +598,11 @@
 #######################################################################
 
-_iconmore_{<img src="_httpiconmore_" align=absbottom 
-width="_widthmore_" height="_heightmore_" border="0" alt="_textnext_">}
-_iconmore_[version=text] {_textnext2_}
-
-_iconalphmore_{<img src="_httpiconmore_" align=absbottom 
-width="_widthmore_" height="_heightmore_" border="0" alt="_textnext3_">}
-_iconalphmore_[version=text] {_textnext4_}
-
 _iconnext_{<img src="_httpiconmore_" align=absbottom 
-width="_widthmore_" height="_heightmore_" border="0">}
-_iconnext_[version=text] {}
-
-_iconless_{<img src="_httpiconless_" align=absbottom 
-width="_widthless_" height="_heightless_" border="0" alt="_textprev_">}
-_iconless_[version=text] {_textprev2_}
-
-_iconalphless_{<img src="_httpiconless_" align=absbottom 
-width="_widthless_" height="_heightless_" border="0" alt="_textprev3_">}
-_iconalphless_[version=text] {_textprev4_}
+width=_widthmore_ height=_heightmore_ border=0 alt="_texticonnext_">}
+_iconnext_[version=text] {_texticonnext_}
 
 _iconprev_{<img src="_httpiconless_" align=absbottom 
-width="_widthless_" height="_heightless_" border="0">}
-_iconprev_[version=text] {}
+width=_widthless_ height=_heightless_ border=0 alt="_texticonprev_">}
+_iconprev_[version=text] {_texticonprev_}
 
 _icontabsearchgreen_ {<img 
@@ -633,45 +610,45 @@
 _icontabsearchgreen_[version=text] {_texticontabsearchgreen_}
 
-_icontabtitlegreen_ {<img 
+_icontabTitlegreen_ {<img 
 src="_httpiconttitlgr_" height=_heightttitlx_ width=_widthttitlx_ alt="_texticontabtitlegreen_" border=0>}
-_icontabtitlegreen_[version=text] {_texticontabtitlegreen_}
-
-_icontabauthorgreen_ {<img 
+_icontabTitlegreen_[version=text] {_texticontabtitlegreen_}
+
+_icontabCreatorgreen_ {<img 
 src="_httpicontauthgr_" height=_heighttauthx_ width=_widthtauthx_ alt="_texticontabauthorgreen_" border=0>}
-_icontabauthorgreen_[version=text] {_texticontabauthorgreen_}
-
-_icontabseriesgreen_ {<img 
-src="_httpicontsergr_" height="_heighttserx_" width="_widthtserx_" alt="_texticontabseriesgreen_" border="0">}
-_icontabseriesgreen_[version=text] {_texticontabseriesgreen_}
-
-_icontabdategreen_ {<img 
-src="_httpicontdategr_" height="_heighttdatex_" width="_widthtdatex_" alt="_texticontabdategreen_" border="0">}
-_icontabdategreen_[version=text] {_texticontabdategreen_}
-
-_icontabsubjectgreen_ {<img 
-src="_httpimg_/tsubjgr.gif" height="17" width="87" alt="_texticontabsubjectgreen_" border="0">}
-_icontabsubjectgreen_[version=text] {_texticontabsubjectgreen_}
-
-_icontabhowtogreen_ {<img 
-src="_httpimg_/thowgr.gif" height="17" width="87" alt="_texticontabhowgreen_" border="0">}
-_icontabhowtogreen_[version=text] {_texticontabhowgreen_}
-
-_icontaborganizationgreen_ {<img 
-src="_httpimg_/torggr.gif" height="17" width="109" alt="_texticontaborggreen_" border="0">}
-_icontaborganizationgreen_[version=text] {_texticontaborggreen_}
-
-_iconblankbar_ {<center><img src="_httpicondivb_" width="_widthdivb_" height="_heightdivb_"></center>}
+_icontabCreatorgreen_[version=text] {_texticontabauthorgreen_}
+
+_icontabSeriesgreen_ {<img 
+src="_httpicontsergr_" height=_heighttserx_ width=_widthtserx_ alt="_texticontabseriesgreen_" border=0>}
+_icontabSeriesgreen_[version=text] {_texticontabseriesgreen_}
+
+_icontabDategreen_ {<img 
+src="_httpicontdategr_" height=_heighttdatex_ width=_widthtdatex_ alt="_texticontabdategreen_" border=0>}
+_icontabDategreen_[version=text] {_texticontabdategreen_}
+
+_icontabSubjectgreen_ {<img 
+src="_httpicontsubjgr_" height=_heighttsubjx_ width=widthtsubjx_ alt="_texticontabsubjectgreen_" border=0>}
+_icontabSubjectgreen_[version=text] {_texticontabsubjectgreen_}
+
+_icontabHowtogreen_ {<img 
+src="_httpiconthowgr_" height=_heightthowgr_ width=_widththowgr_ alt="_texticontabhowgreen_" border=0>}
+_icontabHowtogreen_[version=text] {_texticontabhowgreen_}
+
+_icontabOrganizationgreen_ {<img 
+src="_httpicontorggr_" height=_heighttorggr_ width=_widthtorggr_ alt="_texticontaborggreen_" border=0>}
+_icontabOrganizationgreen_[version=text] {_texticontaborggreen_}
+
+_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_></center>}
 _iconblankbar_[version=text] {<br><hr><br>}
 
-_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width="_widthitext_" height="_heightitext_" alt="_texticontext_">}
+_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}
 _icontext_[version=text] {_texticontext_}
 
-_iconsmalltext_ {<img src="_httpiconsmtext_" border="0" width="_widthsmtext_" height="_heightsmtext_" alt="_texticonsmalltext_">}
+_iconsmalltext_ {<img src="_httpiconsmtext_" border=0 width=_widthsmtext_ height=_heightsmtext_ alt="_texticonsmalltext_">}
 _iconsmalltext_ [version=text] {<small><b>_texticonsmalltext2_</b></small>}
 
-_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border="0" width="_widthclsdfldr_" height="_heightclsdfldr_" alt="_texticonclosedfolder_">}
+_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border=0 width=_widthclsdfldr_ height=_heightclsdfldr_ alt="_texticonclosedfolder_">}
 _iconclosedfolder_ [version=text] {<small><b>_texticonclosedfolder2_</b></small>}
 
-_iconopenfolder_ {<img src="_httpiconopenfldr_" border="0" width="_widthopenfldr_" height="_heightopenfldr_" alt="_texticonopenfolder_">}
+_iconopenfolder_ {<img src="_httpiconopenfldr_" border=0 width=_widthopenfldr_ height=_heightopenfldr_ alt="_texticonopenfolder_">}
 _iconopenfolder_ [version=text] {<small><b>_texticonopenfolder2_</b></small>}
 
@@ -679,5 +656,5 @@
 _iconclosedbook_ [version=text] {<small><b>_texticonclosedbook_: </b></small>}
 
-_iconopenbook_ {<img src="_httpiconopenbook_" width="_widthopenbook_" height="_heightopenbook_" border="0" alt="_texticonopenbook_">}
+_iconopenbook_ {<img src="_httpiconopenbook_" width=_widthopenbook_ height=_heightopenbook_ border=0 alt="_texticonopenbook_">}
 _iconopenbook_ [version=text] {<small><b>_texticonopenbook_: </b></small>}
 
@@ -685,5 +662,5 @@
 _iconopenbookshelf_ [version=text] {<small><b>_texticonopenbookshelf_: </b></small>}
 
-_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border="0" width="_widthbshelf_" height="_heightbshelf_" alt="_texticonclosedbookshelf_">}
+_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonclosedbookshelf_">}
 _iconclosedbookshelf_ [version=text] {<small><b>_texticonclosedbookshelf_: </b></small>}
 
@@ -691,28 +668,34 @@
 _iconpointer_ [version=text] {<small><b>_texticonpointer_-> </b></small>}
 
-_icontab_ {<img src="_httpicontabspace_" width="_widthtabspace_" height="_heighttabspace_">}
-
-_iconcontracttoc_ {<img name="concon" src="_httpiconeconcof_" width="_widtheconcx_" height="_heighteconcof_" alt="_texticoncontracttoc_" border="0">}
+_icontab_ {<img src="_httpicontabspace_" width=_widthtabspace_ height=_heighttabspace_>}
+
+_iconcontracttoc_ {<img name="concon" src="_httpiconeconcof_" width=_widtheconcx_ height=_heighteconcof_ alt="_texticoncontracttoc_" border=0>}
 _iconcontracttoc_[version=text] {_texticoncontracttoc_}
 
-_iconexpandtoc_ {<img name="expcon" src="_httpiconeexpcof_" width="_widtheexpx_" height="_heighteexpcx_" alt="_texticonexpandtoc_" border="0">}
+_iconexpandtoc_ {<img name="expcon" src="_httpiconeexpcof_" width=_widtheexpx_ height=_heighteexpcx_ alt="_texticonexpandtoc_" border=0>}
 _iconexpandtoc_[version=text] {_texticonexpandtoc_}
 
-_iconcontracttext_ {<img name="thissec" src="_httpiconetsecof_" width="_widthetsecx_" height="_heightetsecx_" alt="_texticoncontracttext_" border="0">}
+_iconcontracttext_ {<img name="thissec" src="_httpiconetsecof_" width=_widthetsecx_ height=_heightetsecx_ alt="_texticoncontracttext_" border=0>}
 _iconcontracttext_[version=text] {_texticoncontracttext_}
 
-_iconexpandtext_ {<img name="alltext" src="_httpiconealltof_" width="_widthealltx_" height="_heightealltx_" alt="_texticonexpandtext_" border="0">}
+_iconexpandtext_ {<img name="alltext" src="_httpiconealltof_" width=_widthealltx_ height=_heightealltx_ alt="_texticonexpandtext_" border=0>}
 _iconexpandtext_[version=text] {_texticonexpandtext_}
 
-_icondetach_ {<img name="detach" src="_httpiconedtchof_" width="_widthedtchx_" height="_heightedtchx_" alt="_texticondetach_" border="0">}
+_icondetach_ {<img name="detach" src="_httpiconedtchof_" width=_widthedtchx_ height=_heightedtchx_ alt="_texticondetach_" border=0>}
 _icondetach_[version=text] {_texticondetach_}
 
-_iconwarning_ {<img src="_httpiconwarning_" width="_widthwarning_" height="_heightwarning_" border="0" align="left">}
+_iconhighlight_ {<img name="hl" src="_httpiconehlof_" width=_widthehlx_ height=_heightehlx_ alt="_texticonhighlight_" border=0>}
+_iconhighlight_ [version=text] {_texticonhighlight_}
+
+_iconnohighlight_ {<img name="nhl" src="_httpiconenhlof_" width=_widthenhlx_ height=_heightenhlx_ alt="_texticonnohighlight_" border=0>}
+_iconnohighlight_ [version=text] {_texticonnohighlight_}
+
+_iconwarning_ {<img src="_httpiconwarning_" width=_widthwarning_ height=_heightwarning_ border=0 align=left>}
 _iconwarning_ [version=text] {_texticonwarning_}
 
-_iconcont_ {<img name="cont" src="_httpiconcontoff_" width="_widthcontx_" height="_heightcontx_" border="0">}
+_iconcont_ {<img name="cont" src="_httpiconcontoff_" width=_widthcontx_ height=_heightcontx_ border=0>}
 _iconcont_ [version=text] {_texticoncont_}
 
-_iconglobhelp_ {<img src="_httpiconglob_" width="_widthglob_" height="_heightglob_" alt="_texticonglobhelp_" border="0">}
+_iconglobhelp_ {<img src="_httpiconglob_" width=_widthglob_ height=_heightglob_ alt="_texticonglobhelp_" border=0>}
 _iconglobhelp_ [version=text] {_texticonglobhelp_} 
 
@@ -780,26 +763,34 @@
 
 
-_imagedetach_ {<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_" onMouseover = "img\_on('detach')"
+_imagedetach_ {<a href="_httpcurrentdocument_&x=1" onMouseover = "img\_on('detach')"
 onMouseout = "img\_off('detach')">_icondetach_</a>}
-_imagedetach_[version=text] {<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_">_texticondetach_</a><br>}
-
-_imagecontracttoc_ {" onMouseover = "img\_on('concon')"
+_imagedetach_[version=text] {<a href="_httpcurrentdocument_&x=1">_texticondetach_</a><br>}
+
+_imagehighlight_ {<a href="_httpcurrentdocument_&hl=1" onMouseover = "img\_on('hl')"
+onMouseout = "img\_off('hl')">_iconhighlight_</a>}
+_imagehighlight_ [version=text] {<a href="_httpcurrentdocument_&hl=1">_texticonhighlight_</a><br>}
+
+_imagenohighlight_ {<a href="_httpcurrentdocument_&hl=0" onMouseover = "img\_on('nhl')"
+onMouseout = "img\_off('nhl')">_iconnohighlight_</a>}
+_imagenohighlight_ [version=text] {<a href="_httpcurrentdocument_&hl=0">_texticonnohighlight_</a><br>}
+
+_imagecontracttoc_ {<a href="_httpcurrentdocument_&gc=0" onMouseover = "img\_on('concon')"
 onMouseout = "img\_off('concon')">_iconcontracttoc_</a>}
-_imagecontracttoc_[version=text] {">_texticoncontracttoc_</a><br>}
+_imagecontracttoc_[version=text] {"<a href="_httpcurrentdocument_&gc=0">_texticoncontracttoc_</a><br>}
 _imagecontracttoc_[style=htmlonly] {}
 
-_imageexpandtoc_ {" onMouseover = "img\_on('expcon')"
+_imageexpandtoc_ {<a href="_httpcurrentdocument_&gc=1" onMouseover = "img\_on('expcon')"
 onMouseout = "img\_off('expcon')">_iconexpandtoc_</a>}
-_imageexpandtoc_ [version=text] {">_texticonexpandtoc_</a><br>}
+_imageexpandtoc_ [version=text] {"<a href="_httpcurrentdocument_&gc=1">_texticonexpandtoc_</a><br>}
 _imageexpandtoc_ [style=htmlonly] {}
 
-_imagecontracttext_ {0" onMouseover = "img\_on('thissec')"
+_imagecontracttext_ {<a href="_httpcurrentdocument_&amp;gt=0" onMouseover = "img\_on('thissec')"
 onMouseout = "img\_off('thissec')">_iconcontracttext_</a>}
-_imagecontracttext_[version=text] {0">display only current section</a><br>}
+_imagecontracttext_[version=text] {<a href="_httpcurrentdocument_&amp;gt=0">display only current section</a><br>}
 _imagecontracttext_[style=htmlonly] {}
 
-_imageexpandtext_ {1" onMouseover = "img\_on('alltext')"
+_imageexpandtext_ {<a href="_httpcurrentdocument_&amp;gt=1" onMouseover = "img\_on('alltext')"
 onMouseout = "img\_off('alltext')">_iconexpandtext_</a>}
-_imageexpandtext_[version=text] {1">display all text</a><br>}
+_imageexpandtext_[version=text] {<a href="_httpcurrentdocument_&amp;gt=1">display all text</a><br>}
 _imageexpandtext_[style=htmlonly] {}
 
@@ -823,11 +814,11 @@
 
 _textimagesearch_ {Search for specific terms}
-_textimagebrowsetitles_ {Browse alphabetical list of titles}
-_textimagebrowseauthors_ {Browse alphabetical list of authors}
-_textimagebrowseseries_ {Browse newspapers by issue}
-_textimagebrowsedates_ {Browse newspapers by date}
-_textimagebrowsesubjects_ {Browse by subject category}
-_textimagebrowseorg_ {Browse by organization}
-_textimagebrowsehow_ {Browse how to categories}
+_textimageTitle_ {Browse alphabetical list of titles}
+_textimageCreator_ {Browse alphabetical list of authors}
+_textimageSeries_ {Browse by issue}
+_textimageDate_ {Browse by date}
+_textimageSubject_ {Browse by subject category}
+_textimageOrganization_ {Browse by organization}
+_textimageHowto_ {Browse how to categories}
 
 _textgotext_ {View this page in text format}
@@ -855,4 +846,6 @@
 _texticonpointer_ {current section}
 _texticondetach_ {Open this page in a new window}
+_texticonhighlight_ {Highlight search terms}
+_texticonnohighlight_ {Don't highlight search terms}
 _texticoncontracttoc_ {Collapse table of contents}
 _texticonexpandtoc_ {Expand table of contents}
@@ -860,15 +853,8 @@
 _texticoncontracttext_ {Display text only for currently selected section}
 _texticonglobhelp_ {Global Help Projects}
-
 _texticonwarning_ {<b>Warning: </b>}
 _texticoncont_ {continue?}
-_textnext_ {to next section of book}
-_textnext2_ {view next section}
-_textnext3_ {to next alphabetical section}
-_textnext4_ {next section}
-_textprev_ {to previous section of book}
-_textprev2_ {view previous section}
-_textprev3_ {to previous alphabetical section}
-_textprev4_ {previous section}
+_texticonnext_ {to next section}
+_texticonprev_ {to previous section}
 
 _page_ {page}
@@ -930,6 +916,6 @@
 _texticonexpandtext_ [language=mi] {Titiro ki ng&auml; kupu katoa o t&euml;nei niupepa}
 _texticoncontracttext_ [language=mi] {Titiro ki ng&auml; kupu o t&euml;nei wh&auml;rangi anake}
-_textnext_ [language=mi] {titiro ki te wh&auml;rangi o muri}
-_textprev_ [language=mi] {titiro ki te wh&auml;rangi o mua}
+_texticonnext_ [language=mi] {titiro ki te wh&auml;rangi o muri}
+_texticonprev_ [language=mi] {titiro ki te wh&auml;rangi o mua}
 _texticontext_ [language=mi] {Tirohia te wh&auml;rangi}
 _texticonopenbookshelf_ [language=mi] {k&auml;tia}
Index: /trunk/gsdl/macros/document.dm
===================================================================
--- /trunk/gsdl/macros/document.dm	(revision 258)
+++ /trunk/gsdl/macros/document.dm	(revision 258)
@@ -0,0 +1,177 @@
+package document
+
+#######################################################################
+# macros set from within the server
+#######################################################################
+
+_classificationlinks_ {}
+_imagethispage_ {}
+_httpprevarrow_ {}
+_httpnextarrow_ {}
+
+#######################################################################
+# page content
+#######################################################################
+
+_pagetitle_ {_collectionname_}
+
+_content_ {
+<center>
+_navigationbar_
+<p>
+_classificationlinks_
+</center>
+}
+
+#######################################################################
+# navigation arrows
+#
+#######################################################################
+
+_navarrows_ {<center>
+<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
+<tr><td align=left valign=top>
+_prevarrow_
+</td><td align=right valign=top>
+_nextarrow_
+</td></tr></table>
+</center>
+}
+
+_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
+_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}
+
+_navarrows_ [version=text] {<p>
+_prevarrow_<br>
+_nextarrow_
+}
+
+#######################################################################
+# the goto form
+#######################################################################
+
+_gotoform_ {
+<form name="GotoForm" method="get" action="_gwcgi_">
+<input type=hidden name="e" value="_compressedoptions_">
+<input type=hidden name="d" value="_cgiargd_">
+<input type=hidden name="cl" value="_cgiargcl_">
+<input type="submit" value="go to page">
+<input type="text" name="gp" size="3" maxlength="4">
+</form>
+}
+
+#######################################################################
+# images
+#######################################################################
+
+# title images - there should be one of these for each classification
+# supported by this receptionist
+
+_iconTitlepage_ {<img src="_httpiconhtitle_" width=_widthhtitle_
+height=_heighthtitle_}
+_iconTitlepage_ [version=text] {<h2>_texticonhtitle_</h2>}
+
+_iconCreatorpage_ {<img src="_httpiconhauth_" width=_widthhauth_
+height=_heighthauth_}
+_iconCreatorpage_ [version=text] {<h2>_texticonhauth_</h2>}
+
+_iconSubjectpage_ {<img src="_httpiconhsubj_" width=_widthhsubj_
+height=_heighthsubj_}
+_iconSubjectpage_ [version=text] {<h2>_texticonhsubj_</h2>}
+
+_iconSeriespage_ {<img src="_httpiconhser_" width=_widthhser_
+height=_heighthser_}
+_iconSeriespage_ [version=text] {<h2>_texticonhser_</h2>}
+
+_iconDatepage_ {<img src="_httpiconhdate_" width=_widthhdate_
+height=_heighthdate_}
+_iconDatepage_ [version=text] {<h2>_texticonhdate_</h2>}
+
+_iconHowtopage_ {<img src="_httpiconhhow_" width=_widthhhow_
+height=_heighthhow_}
+_iconHowtopage_ [version=text] {<h2>_texticonhhow_</h2>}
+
+_iconOrganizationpage_ {<img src="_httpiconhorg_" width=_widthhorg_
+height=_heighthorg_}
+_iconOrganizationpage_ [version=text] {<h2>_texticonhorg_</h2>}
+
+#######################################################################
+# https
+#######################################################################
+
+_httpiconhtitle_ {_httpimg_/h\_title.gif}
+_widthhtitle_ {200}
+_heighthtitle_ {57}
+
+_httpiconhauth_ {_httpimg_/h\_auth.gif}
+_widthhauth_ {200}
+_heighthauth_ {57}
+
+_httpiconhsubj_ {_httpimg_/h\_subj.gif}
+_widthhsubj_ {200}
+_heighthsubj_ {57}
+
+_httpiconhser_ {_httpimg_/h\_ser.gif}
+_httpiconhser_ [language=mi] {_httpimg_/mh\_ser.gif}
+_widthhser_ {200}
+_widthhser_ [language=mi] {310}
+_heighthser_ {57}
+
+_httpiconhdate_ {_httpimg_/h\_date.gif}
+_httpiconhdate_ [language=mi] {_httpimg_/mh\_date.gif}
+_widthhdate_ {200}
+_heighthdate_ {57}
+
+_httpiconhhow_ {_httpimg_/h\_how.gif}
+_widthhhow_ {200}
+_heighthhow_ {57}
+
+_httpiconhorg_ {_httpimg_/h\_org.gif}
+_widthhorg_ {250}
+_heighthorg_ {57}
+
+
+#######################################################################
+# headers/footers
+#######################################################################
+
+
+# header overridden for text pages
+_textheader_ {_cgihead_
+_htmlhead_('background="_httpiconchalk_"')
+}
+
+_footer_ {
+<p>
+_navarrows_
+<p>
+<center><i>_linkotherversion_</i></center>
+<center><i>_linkotherlanguage_</i></center>
+</table>
+_endspacer__htmlfooter_
+}
+
+_footer_[style=restrict] {
+<p>
+_navarrows_
+_htmlfooter_
+}
+
+_footer_[style=htmlonly] {
+<p>
+_navarrows_
+_endspacer__htmlfooter_
+}
+
+
+#######################################################################
+# English language text macros
+#######################################################################
+
+_texticonhtitle_ {Titles A-Z}
+_texticonhauth_ {Authors A-Z}
+_texticonhsubj_ {Subjects}
+_texticonhser_ {Series}
+_texticonhdate_ {Dates}
+_texticonhhow_ {How to}
+_texticonhorg_ {Organizations}
Index: /trunk/gsdl/macros/query.dm
===================================================================
--- /trunk/gsdl/macros/query.dm	(revision 257)
+++ /trunk/gsdl/macros/query.dm	(revision 258)
@@ -29,4 +29,9 @@
 _widthiconthispage_ {_widthiconhsearch_}
 _heighticonthispage_ {_heighticonhsearch_}
+
+_httpiconhsearch_ {_httpimg_/h\_search.gif}
+_httpiconhsearch_ [language=mi] {_httpimg_/mh\_srch.gif}
+_widthhsearch_ {200}
+_heighthsearch_ {57}
 
 
